Bug Hunting Session
Bug 49277 - PPT EXPORT: Tabulators are displaced after exporting to PPT format
Summary: PPT EXPORT: Tabulators are displaced after exporting to PPT format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: All All
: highest normal
Assignee: David Tardon
URL:
Whiteboard: target:4.0.0.0.beta2 target:4.1.0 tar...
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-04-29 11:20 UTC by Ettore Atalan
Modified: 2012-12-19 09:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Tabulators in ODP and PPT (14.65 KB, application/zip)
2012-04-29 11:20 UTC, Ettore Atalan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ettore Atalan 2012-04-29 11:20:35 UTC
Created attachment 60776 [details]
Tabulators in ODP and PPT

Hi

I've made a presentation in LibreOffice Impress, which contains a lot of tabulators. When I finished my presentation I exported it to PPT, because the computer, where I had to do my presentation, only has Microsoft Office 2010 installed.

I got a little shock as I opened my presentation in PowerPoint. Almost all tabulators were displaced. Therefore, the formatting was messed up.


See attachment for example files.


Atalanttore
Comment 1 Joel Madero 2012-10-08 04:39:15 UTC
Confirmed. Marking as NEW & Prioritizing.

Normal - prevents users from making high quality work

Highest - could be really embarrassing if a user saved a presentation and sent this somewhere or wanted to use it for a professional presentation. 

Also nominating for most annoying bug + hard hack
Comment 2 Ettore Atalan 2012-10-08 19:07:44 UTC
(In reply to comment #1)
> Highest - could be really embarrassing if a user saved a presentation and
> sent this somewhere or wanted to use it for a professional presentation. 

By the way I've discovered this bug while doing a presentation on a PowerPoint Windows machine. Fortunately, I only rarely used tabulators in my presentation.
Comment 3 Not Assigned 2012-12-18 15:14:49 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6488c424654cd5d6872f40c15dcdd72071843efd&g=libreoffice-4-0

fdo#49277 use correct default tab size


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-12-18 15:15:09 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd69be65786cb49d0748433360b05db8c4f6d890

fdo#49277 use correct default tab size



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-12-19 09:29:17 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62b950dc7705bd7979bb3793e81845ae99b8964d&g=libreoffice-3-6

fdo#49277 use correct default tab size


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.